package types

import (
	svg "github.com/ajstarks/svgo"
	"gitp78su.ipnodns.ru/svi/goarch/lev0/alias"
	"gitp78su.ipnodns.ru/svi/kern/v3/krn/ktypes"
)

// IViewTree -- интерфейс дерева для отрисовки
type IViewTree interface {
	// Draw -- рисует схему
	Draw(canvas *svg.SVG)
	// TreeView -- возвращает дерево отрисовщиков
	TreeView() []IViewTree
	// Get -- возвращает отрисовщик по ID
	Get(id alias.ArchId) ktypes.Result[IViewNode]
}
